#!/bin/bash

# version: 0.3.6-r7

if [ $# -lt 1 ]
then
	echo "Usage: $0 [Name] [Comment] [Executable] [Icon] [Categorie] [Notify] [Terminal]"
	exit 1
fi

d_name=$1
d_comment=$2
d_exec=$3
d_icon=$4
d_categorie=$5
d_notify=$6
d_terminal=$7

if [ -d /usr/share/applications ]
then
	mkdir -p /usr/share/applications
fi

echo "[Desktop Entry]
Encoding=UTF-8
Name=${d_name}
Comment=${d_comment}
Exec=${d_exec}
Icon=${d_icon}
Terminal=${d_terminal}
Type=Application
Categories=${d_categorie}
StartupNotify=${d_notify}
" > /usr/share/applications/${d_name}.desktop
