#!/bin/bash
# version: 0.3.6-r5

source /etc/mage.rc
OLD_DB=$1
NEW_DB=$2

for i in ${OLD_DB}/*
do
	OLDFILE=$(basename ${i})
	#echo "i=${i}"
	for x in ${MAGEDIR}/*/*/*.mage
	do
		NEWFILE=$(basename ${x} .mage)
		if [ ${OLDFILE} == ${NEWFILE} ]
		then
			echo "Updating ${OLDFILE}"
			CAT=${x%/*/*}
			CAT=$(echo ${CAT/${MAGEDIR}/} | sed -e s:/::g)
			
			install -d ${NEW_DB}/${CAT}
			cp -a ${OLD_DB}/${OLDFILE} ${NEW_DB}/${CAT}
			echo "${CAT}" > ${NEW_DB}/${CAT}/${NEWFILE}/.categorie
		fi
	done
done


#finally mark db as fixed
touch ${NEW_DB}/.fixed-mage-0.3.6-r5