#!/bin/bash

#pkgsearch

#searches given MAGE-TREE for hits

# version: 0.3.6-r7

SEARCHFILE=$1

source /etc/mage.rc
source /etc/init.d/functions

#missing color:
COLGRAY="\033[0;6m\033[37m"

echo "Searching for ${SEARCHFILE} ..."

#get files
RESULT=$(find ${MAGEDIR} -name *${SEARCHFILE}*.mage)

#show it
for i in ${RESULT}
do

#
# old stuff; wanna test what looks better :)
#
#	source ${i}
#	if [ ${STATE} == "stable" ]
#	then
#		CATEGORIE=$(dirname ${i}|sed -e "s:${MAGEDIR}::g"|cut -d / -f2)
#		APPNAME=$(basename $(dirname ${i}))
#		VERSION=$(basename ${i} .mage|sed -e "s:${APPNAME}::g")
#		echo -en "\t${COLGREEN}${CATEGORIE}/${APPNAME}${COLDEFAULT}"
#		echo -e  "  ${COLBLUE}[${VERSION#-*}]${COLDEFAULT}"
#	fi

	source ${i}
	
	CATEGORIE=$(dirname ${i}|sed -e "s:${MAGEDIR}::g"|cut -d / -f2)
	APPNAME=$(basename $(dirname ${i}))
	VERSION=$(basename ${i} .mage|sed -e "s:${APPNAME}::g")
	case ${STATE} in
		stable)
			echo -en "              "
			echo -en "${COLGREEN}${CATEGORIE}/${APPNAME}${COLDEFAULT}"
			echo -e  "  ${COLBLUE}[${VERSION#-*}]${COLDEFAULT}"
			;;
		unstable)
			echo -en ${COLRED}"  [unstable]  "
			echo -en "${COLRED}${CATEGORIE}/${APPNAME}${COLDEFAULT}"
			echo -e  "  ${COLBLUE}[${VERSION#-*}]${COLDEFAULT}"
			;;
		old)
			echo -en ${COLGRAY}" [deprecated] "
			echo -en "${COLGRAY}${CATEGORIE}/${APPNAME}${COLDEFAULT}"
			echo -e  "  ${COLBLUE}[${VERSION#-*}]${COLDEFAULT}"
			;;
	esac
	
	#let us be a little bit safer
	unset STABLE CATEGORIE APPNAME VERSION
done
echo
